%global modname cekit
%global _description \
Cekit helps to build container images from image definition files

%global commitdate 20190214
%global commit ec3a0b22f1157fd5e635a2dc0caec6efc5fd6864
%global shortcommit ec3a0b

Name:           %{modname}
Version:        3.0.0
Release:        0.%{commitdate}git%{shortcommit}.1
Summary:        Container image creation tool
License:        MIT
URL:            https://github.com/cekit/cekit
Source0:        %{url}/archive/%{commit}.tar.gz
BuildArch:      noarch

Requires:       PyYAML
Requires:       git

BuildRequires:  PyYAML

%if 0%{?rhel}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-pykwalify
BuildRequires:  python2-colorlog
BuildRequires:  python-jinja2

Requires:       python-jinja2
Requires:       python-setuptools
Requires:       python2-pykwalify
Requires:       python2-colorlog
%else
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pykwalify
BuildRequires:  python3-colorlog
BuildRequires:  python3-jinja2

Requires:       python3-jinja2
Requires:       python3-setuptools
Requires:       python3-pykwalify
Requires:       python3-colorlog

Recommends:     python3-docker
Recommends:     python3-docker-squash
Recommends:     docker
Recommends:     bash-completion
%endif

%description %_description

%package -n %{modname}-bash-completion
Summary:        %{summary}
Requires:       bash-completion
%description -n %{modname}-bash-completion %_description

Bash completion.

%package -n %{modname}-zsh-completion
Summary:        %{summary}
Requires:       zsh
%description -n %{modname}-zsh-completion %_description

ZSH completion.

%prep
%setup -q -n cekit-%{commit}

%if 0%{?rhel}
# In EPEL/RHEL there is the old Docker Python library available only
sed -i 's/^docker$/docker-py/' requirements.txt
%endif

%build
%if 0%{?rhel}
%py2_build
%else
%py3_build
%endif

%install
mkdir -p %{buildroot}/%{_sysconfdir}/bash_completion.d
cp completion/bash/cekit %{buildroot}/%{_sysconfdir}/bash_completion.d/cekit

mkdir -p %{buildroot}/%{_datadir}/zsh/site-functions
cp completion/zsh/_cekit %{buildroot}/%{_datadir}/zsh/site-functions/_cekit

%if 0%{?rhel}
%py2_install
%else
%py3_install
%endif

%files -n %{modname}-bash-completion
%doc README.rst
%license LICENSE
%{_sysconfdir}/bash_completion.d/cekit

%files -n %{modname}-zsh-completion
%doc README.rst
%license LICENSE
%{_datadir}/zsh/site-functions/_cekit

%files -n %{modname}
%doc README.rst
%license LICENSE

%if 0%{?rhel}
%{python2_sitelib}/cekit/
%{python2_sitelib}/cekit-*.egg-info/
%else
%{python3_sitelib}/cekit/
%{python3_sitelib}/cekit-*.egg-info/
%endif

%{_bindir}/cekit
%{_bindir}/cekit-cache

%changelog
* Thu Feb 14 2019 Marek Goldmann <mgoldman@redhat.com> - 3.0.0-0.20190214gitec3a0b.1
- Initial packaging
